### Method

# Gtk Label get_layout_offsets

#### Declaration [src]

    void
    gtk_label_get_layout_offsets (
      GtkLabel* self,
      int* x,
      int* y
    )

#### Description [src]

Obtains the coordinates where the label will draw its `PangoLayout`.

The coordinates are useful to convert mouse events into coordinates inside the `PangoLayout`, e.g. to take some action if some part of the label is clicked. Remember when using the `PangoLayout` functions you need to convert to and from pixels using PANGO_PIXELS() or `PANGO_SCALE`.

#### Parameters

`x` | `int*`
| Location to store X offset of layout.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`y` | `int*`
| Location to store Y offset of layout.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.